iOS高德地图SDK(3D) V11.2.0001

Instance Methods | Properties | List of all members
MATileOverlay Class Reference

`#import <MATileOverlay.h>`

Inheritance diagram for MATileOverlay:

## Instance Methods
(NSInteger minimumZ) | - __attribute
(NSInteger maximumZ) | - __attribute
(id) | - initWithURLTemplate:
| 根据指定的URLTemplate生成tileOverlay Generate tileOverlay based on the specified URLTemplate More...
(NSURL *) | - URLForTilePath:
| 以tile path生成URL。用于加载tile,此方法默认填充URLTemplate Generate URL from tile path. Used to load tiles, this method defaults to filling URLTemplate More...
(void) | - loadTileAtPath:result:
| 加载被请求的tile,并以tile数据或加载tile失败error访问回调block;默认实现为首先用URLForTilePath去获取URL,然后用异步NSURLConnection加载tile Load the requested tile and access the callback block with tile data or a tile loading failure error; the default implementation first uses URLForTilePath to obtain the URL, then loads the tile asynchronously with NSURLConnection. More...
(void) | - cancelLoadOfTileAtPath:
| 取消请求瓦片，当地图显示区域发生变化时，会取消显示区域外的瓦片的下载, 当disableOffScreenTileLoading=YES时会被调用。since 5.3.0 Cancel tile requests, when the map display area changes, it will cancel the download of tiles outside the display area, and it will be called when disableOffScreenTileLoading=YES. since 5.3.0 More...
Instance Methods inherited from <MAOverlay>
(CLLocationCoordinate2D) | - coordinate
(MAMapRect) | - boundingMapRect
Instance Methods inherited from <MAAnnotation>
(void) | - setCoordinate:
| 设置标注的坐标，在拖拽时会被调用. Set the coordinates of the annotation, which will be called during dragging More...

## Properties
CGSize | tileSize
NSString * | URLTemplate
BOOL | canReplaceMapContent
BOOL | disableOffScreenTileLoading
Properties inherited from MABaseOverlay
CLLocationCoordinate2D | coordinate
MAMapRect | boundingMapRect
double | altitude
Properties inherited from <MAAnnotation>
NSString * | title
NSString * | subtitle
double | altitude

## Additional Inherited Members
Protected Attributes inherited from MABaseOverlay
double | _altitude
| 海拔 Elevation More...

## Detailed Description

该类是覆盖在球面墨卡托投影上的图片tiles的数据源 This class is the data source for image tiles covering the spherical Mercator projection

## Method Documentation

## ◆ __attribute [1/2]

- (NSInteger minimumZ) __attribute |  | ((deprecated("Deprecated, calling has no effect. since 9.6.0"))) |  |

tileOverlay的可见最小Zoom值 The minimum visible Zoom value for tileOverlay

## ◆ __attribute [2/2]

- (NSInteger maximumZ) __attribute |  | ((deprecated("Deprecated, calling has no effect. since 9.6.0"))) |  |

tileOverlay的可见最大Zoom值 The maximum visible Zoom value of tileOverlay

## ◆ cancelLoadOfTileAtPath:

- (void) cancelLoadOfTileAtPath: |  | (MATileOverlayPath) | path |

取消请求瓦片，当地图显示区域发生变化时，会取消显示区域外的瓦片的下载, 当disableOffScreenTileLoading=YES时会被调用。since 5.3.0 Cancel tile requests, when the map display area changes, it will cancel the download of tiles outside the display area, and it will be called when disableOffScreenTileLoading=YES. since 5.3.0

Parameters

  path | tile path

Provided by category MATileOverlay(CustomLoading).

## ◆ initWithURLTemplate:

- (id) initWithURLTemplate: |  | (NSString *) | URLTemplate |

根据指定的URLTemplate生成tileOverlay Generate tileOverlay based on the specified URLTemplate

Parameters

  URLTemplate | URLTemplate是一个包含"{x}","{y}","{z}","{scale}"的字符串,"{x}","{y}","{z}","{scale}"会被tile path的值所替换，并生成用来加载tile图片数据的URL 。例如 http://server/path?x={x}&y={y}&z={z}&scale={scale} URLTemplate is a string containing "{x}","{y}","{z}","{scale}", where "{x}","{y}","{z}","{scale}" will be replaced by the tile path value to generate the URL for loading tile image data. For example, http://server/path?x={x}&y={y}&z={z}&scale={scale}

Returns
  以指定的URLTemplate字符串生成tileOverlay Generate tileOverlay using the specified URLTemplate string

## ◆ loadTileAtPath:result:

- (void) loadTileAtPath: |  | (MATileOverlayPath) | path
result: |  | (void(^)(NSData *tileData, NSError *error)) | result

加载被请求的tile,并以tile数据或加载tile失败error访问回调block;默认实现为首先用URLForTilePath去获取URL,然后用异步NSURLConnection加载tile Load the requested tile and access the callback block with tile data or a tile loading failure error; the default implementation first uses URLForTilePath to obtain the URL, then loads the tile asynchronously with NSURLConnection.

Parameters

  path | tile path
  result | 用来传入tile数据或加载tile失败的error访问的回调block A callback block used to pass in tile data or access errors when tile loading fails

Provided by category MATileOverlay(CustomLoading).

## ◆ URLForTilePath:

- (NSURL *) URLForTilePath: |  | (MATileOverlayPath) | path |

以tile path生成URL。用于加载tile,此方法默认填充URLTemplate Generate URL from tile path. Used to load tiles, this method defaults to filling URLTemplate

Parameters

  path | tile path

Returns
  以tile path生成tileOverlay Generate tileOverlay from tile path

Provided by category MATileOverlay(CustomLoading).

## Property Documentation

## ◆ canReplaceMapContent

- (BOOL) canReplaceMapContent
| read write nonatomic assign

暂未开放 not yet open

## ◆ disableOffScreenTileLoading

- (BOOL) disableOffScreenTileLoading
| read write nonatomic assign

是否停止不在显示区域内的瓦片下载，默认NO. since 5.3.0 whether to stop downloading tiles outside the display area, default is NO. since 5.3.0

## ◆ tileSize

- (CGSize) tileSize
| read write nonatomic assign

瓦片大小，默认是256x256, 最小支持64*64 Tile size, default is 256x256, minimum support is 64*64

## ◆ URLTemplate

- (NSString*) URLTemplate
| read atomic assign

同initWithURLTemplate:中的URLTemplate Same as the URLTemplate in initWithURLTemplate:

The documentation for this class was generated from the following file:

- MATileOverlay.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。